Skip to main content
POST
/
datasets
/
v3
/
scrape
Discover Marketplace Listings by Keyword
curl --request POST \
  --url https://api.brightdata.com/datasets/v3/scrape \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "input": [
    {
      "keyword": "<string>"
    }
  ]
}
'
[
  {
    "url": "https://www.facebook.com/marketplace/item/1259177466401495",
    "title": "2018 Mercedes-Benz C 300 Convertible 27k miles",
    "initial_price": 35995,
    "final_price": 35995,
    "currency": "USD",
    "product_id": "1259177466401495",
    "condition": "USED",
    "description": "1 owner, 2.0 turbo all wheel drive, leather seating pkg...",
    "location": "Knoxville, TN",
    "country_code": "US",
    "images": ["https://..."],
    "seller_description": "1 owner, 2.0 turbo...",
    "color": "grey",
    "brand": null,
    "videos": null,
    "profile_id": "34591790377134943",
    "listing_date": "2026-04-02T11:25:00.000Z"
  }
]

Query Parameters

dataset_id
string
default:"gd_lvt9iwuh6fbcwmx1a"
required
The dataset ID used for this request.
Must be set to gd_lvt9iwuh6fbcwmx1a to collect Facebook Marketplace listings data.
notify
boolean
default:false
Whether to send notifications when the request is completed.
include_errors
boolean
default:true
Whether to include errors in the response.

Request Body

input
object[]
required
An array of input objects.

Example

{
  "input": [
    {"keyword": "used iPhone"},
    {"keyword": "vintage furniture"}
  ]
}
[
  {
    "url": "https://www.facebook.com/marketplace/item/1259177466401495",
    "title": "2018 Mercedes-Benz C 300 Convertible 27k miles",
    "initial_price": 35995,
    "final_price": 35995,
    "currency": "USD",
    "product_id": "1259177466401495",
    "condition": "USED",
    "description": "1 owner, 2.0 turbo all wheel drive, leather seating pkg...",
    "location": "Knoxville, TN",
    "country_code": "US",
    "images": ["https://..."],
    "seller_description": "1 owner, 2.0 turbo...",
    "color": "grey",
    "brand": null,
    "videos": null,
    "profile_id": "34591790377134943",
    "listing_date": "2026-04-02T11:25:00.000Z"
  }
]